sssd_be missing shlib deps

Bug #510290 reported by Timo Aaltonen on 2010-01-20
34
This bug affects 5 people
Affects Status Importance Assigned to Milestone
sssd (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: sssd

on lucid I have this:
nexus6 sssd # ldd -r /usr/lib/sssd/sssd/sssd_be
        linux-vdso.so.1 => (0x00007fff7e3ab000)
        libtalloc.so.2 => /usr/lib/libtalloc.so.2 (0x00007f21e46d8000)
        libtevent.so.0 => /usr/lib/libtevent.so.0 (0x00007f21e44ce000)
        libpopt.so.0 => /lib/libpopt.so.0 (0x00007f21e42c2000)
        libldb.so.0 => /usr/lib/libldb.so.0 (0x00007f21e408f000)
        libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00007f21e3e50000)
        librt.so.1 => /lib/librt.so.1 (0x00007f21e3c47000)
        libpcre.so.3 => /lib/libpcre.so.3 (0x00007f21e3a19000)
        libnss3.so => /usr/lib/libnss3.so (0x00007f21e36e5000)
        libnssutil3.so => /usr/lib/libnssutil3.so (0x00007f21e34c6000)
        libsmime3.so => /usr/lib/libsmime3.so (0x00007f21e329b000)
        libssl3.so => /usr/lib/libssl3.so (0x00007f21e3066000)
        libplds4.so => /usr/lib/libplds4.so (0x00007f21e2e61000)
        libplc4.so => /usr/lib/libplc4.so (0x00007f21e2c5c000)
        libnspr4.so => /usr/lib/libnspr4.so (0x00007f21e2a21000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x00007f21e2803000)
        libdl.so.2 => /lib/libdl.so.2 (0x00007f21e25ff000)
        libcares.so.2 => /usr/lib/libcares.so.2 (0x00007f21e23f0000)
        libc.so.6 => /lib/libc.so.6 (0x00007f21e2071000)
        libtdb.so.1 => /usr/lib/libtdb.so.1 (0x00007f21e1e62000)
        /lib64/ld-linux-x86-64.so.2 (0x00007f21e490d000)

while on Fedora it looks like this:
[sgallagh@sgallagh ~]$ ldd /usr/libexec/sssd/sssd_be
 linux-vdso.so.1 => (0x00007fffb45a6000)
 libtalloc.so.2 => /usr/lib64/libtalloc.so.2 (0x000000347e600000)
 libtevent.so.0 => /usr/lib64/libtevent.so.0 (0x000000347f200000)
 libpopt.so.0 => /lib64/libpopt.so.0 (0x000000348ce00000)
 libldb.so.0 => /usr/lib64/libldb.so.0 (0x00007f9e9de8c000)
 libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x0000003480200000)
 librt.so.1 => /lib64/librt.so.1 (0x000000347ea00000)
 libpcre.so.0 => /lib64/libpcre.so.0 (0x000000348c600000)
 libssl3.so => /usr/lib64/libssl3.so (0x000000348fa00000)
 libsmime3.so => /usr/lib64/libsmime3.so (0x000000348f600000)
 libnss3.so => /usr/lib64/libnss3.so (0x000000348f200000)
 libfreebl3.so => /usr/lib64/libfreebl3.so (0x00007f9e9dc2b000)
 libnssdbm3.so => /usr/lib64/libnssdbm3.so (0x00007f9e9da03000)
 libsoftokn3.so => /usr/lib64/libsoftokn3.so (0x00007f9e9d7c7000)
 libnssutil3.so => /usr/lib64/libnssutil3.so (0x000000348ea00000)
 libplds4.so => /lib64/libplds4.so (0x000000348d200000)
 libplc4.so => /lib64/libplc4.so (0x000000348da00000)
 libnspr4.so => /lib64/libnspr4.so (0x000000348de00000)
 libpthread.so.0 => /lib64/libpthread.so.0 (0x000000347de00000)
 libdl.so.2 => /lib64/libdl.so.2 (0x000000347da00000)
 libcares.so.2 => /usr/lib64/libcares.so.2 (0x0000003480600000)
 libc.so.6 => /lib64/libc.so.6 (0x000000347d600000)
 libtdb.so.1 => /usr/lib64/libtdb.so.1 (0x0000003490a00000)
 liblber-2.4.so.2 => /usr/lib64/liblber-2.4.so.2 (0x000000348fe00000)
 libldap-2.4.so.2 => /usr/lib64/libldap-2.4.so.2 (0x00007f9e9d57f000)
 libcap-ng.so.0 => /lib64/libcap-ng.so.0 (0x000000347fe00000)
 /lib64/ld-linux-x86-64.so.2 (0x000000347d200000)
 libsqlite3.so.0 => /usr/lib64/libsqlite3.so.0 (0x000000348c200000)
 libresolv.so.2 => /lib64/libresolv.so.2 (0x000000347f600000)
 libsasl2.so.2 => /usr/lib64/libsasl2.so.2 (0x00007f9e9d363000)
 libssl.so.10 => /usr/lib64/libssl.so.10 (0x000000380a000000)
 libcrypto.so.10 => /usr/lib64/libcrypto.so.10 (0x000000348a600000)
 libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00007f9e9d12b000)
 libgssapi_krb5.so.2 => /lib64/libgssapi_krb5.so.2 (0x0000003809400000)
 libkrb5.so.3 => /lib64/libkrb5.so.3 (0x0000003809000000)
 libcom_err.so.2 => /lib64/libcom_err.so.2 (0x0000003489200000)
 libk5crypto.so.3 => /lib64/libk5crypto.so.3 (0x0000003809c00000)
 libz.so.1 => /lib64/libz.so.1 (0x000000347e200000)
 libkrb5support.so.0 => /lib64/libkrb5support.so.0 (0x0000003808c00000)
 libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x000000348a200000)
 libselinux.so.1 => /lib64/libselinux.so.1 (0x000000347ee00000)

and the result is this:

nexus6 sssd-1.0.2 # sssd -d1
[sssd] [confdb_get_domain_internal] (1): No enumeration for [AALTO]!
[sssd[be[AALTO]]] [confdb_get_domain_internal] (1): No enumeration for [AALTO]!
[sssd[be[AALTO]]] [load_backend_module] (0): Unable to load krb5 module with path (/usr/lib/sssd/libsss_krb5.so), error: /usr/lib/sssd/libsss_krb5.so: undefined symbol: krb5_cc_retrieve_cred
[sssd[be[AALTO]]] [be_process_init] (0): fatal error initializing data providers
[sssd[be[AALTO]]] [main] (0): Could not initialize backend [79]
[sssd] [global_checks_handler] (1): Service [AALTO] did exit

so something (ubuntu build defaults?) breaks the build...

Timo Aaltonen (tjaalton) wrote :

actually, that output is wrong, the real bug was in libsss_krb5.so missing shlib deps. Here's a patch from upstream which fixed that:

From f24e0a6791fbf273109b03661665ca2896b37b0a Mon Sep 17 00:00:00 2001
From: Stephen Gallagher <email address hidden>
Date: Wed, 20 Jan 2010 14:36:34 -0500
Subject: [PATCH] Add missing link for Kerberos

---
 server/Makefile.am | 3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/server/Makefile.am b/server/Makefile.am
index 100189d..7ba7ffa 100644
--- a/server/Makefile.am
+++ b/server/Makefile.am
@@ -636,7 +636,8 @@ libsss_krb5_la_CFLAGS = \
     $(AM_CFLAGS) \
     $(DHASH_CFLAGS)
 libsss_krb5_la_LIBADD = \
- $(DHASH_LIBS)
+ $(DHASH_LIBS) \
+ $(KRB5_LIBS)
 libsss_krb5_la_LDFLAGS = \
     -version-info 1:0:0 \
     -module
--
1.6.6

Juha Erkkilä (juha-erkkila) wrote :

Thanks for the fix.

Why is this still a problem on Lucid? Lucid is now in beta and this bug is 2.5 months old. The ACK of the fix is (almost) 2 months old even!!!

This is not even a difficult problem to solve. You drop the above patch into the diff and rebuild. I just did and it fixes the problem.

Ignoring simple-to-fix bugs like this is what is making every Ubuntu release worse than it's predecessor. Sadly. :-(

Timo Aaltonen (tjaalton) wrote :

I'm trying to push 1.0.5 for lucid. If not succesfull then at least this patch will get in.

Changed in sssd (Ubuntu):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sssd - 1.0.5-0ubuntu1

---------------
sssd (1.0.5-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release. (LP: #510290)
  * sssd.dirs: Add /var/lib/sss/pubconf (LP: #557394)
 -- Timo Aaltonen <email address hidden> Fri, 16 Apr 2010 11:37:16 +0300

Changed in sssd (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers